/* 
 * Copyright (C) 2006 Johannes Hausensteiner (johannes.hausensteiner@pcl.at)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
/* 
 * Filename: cmd.h
 *
 * Function: interface to cmd.c
 *
 * Part of:  DIY Calculator loader application
 *
 * Changelog
 *
 *  0.1  17.Oct.2006   JH   new
 *  1.0  10.Nov.2006   JH   first delivered version
 *  1.1  14.Nov.2006   JH   code review
 *
 */


#ifndef __CMD_H
#define __CMD_H

/***************************  Function Prototypes  ************************/
int send_cmd (               /* send a command to the DIY Calculator      */
  int cmd                    /* the command                               */
);

int wait_for_string (        /* wait for a string form the DIY Calculator */
  const char *s              /* the string we are waiting for             */
);

int wait_for_prompt (void);  /* wait for the DIY Calculator prompt        */

#endif  /* __CMD_H */
