/* 
 * Copyright (C) 2006 Johannes Hausensteiner (johannes.hausensteiner@pcl.at)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
/* 
 * Filename: cpu_clk.h
 *
 * Function: interface to cpu_clk.c
 *
 * Part of:  DIY Calculator loader application
 *
 * Changelog
 *
 *  0.1   2.Nov.2006   JH   new
 *
 */


#ifndef __CPU_CLK_H
#define __CPU_CLK_H

#include <gtk/gtk.h>

/******************************  Structs  *********************************/


/***************************  Function Prototypes  ************************/
GtkWidget *do_cpu_clk (      /* the CPU Speed adjustment                  */
  GtkWidget *parent          /* the parent window                         */
);

unsigned int divider_to_freq(/* compute the freq. from the div.           */
  unsigned char divider,     /* the frequency divider                     */
  char *s                    /* representation as string                  */
);

#endif  /* __CPU_CLK_H */
