/* 
 * Copyright (C) 2006 Johannes Hausensteiner (johannes.hausensteiner@pcl.at)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
/* 
 * Filename: cpu_reg.h
 *
 * Function: interface to cpu_reg.c
 *
 * Part of:  DIY Calculator loader application
 *
 * Changelog
 *
 *  0.1  17.Oct.2006   JH   new
 *
 */


#ifndef __CPU_REG_H
#define __CPU_REG_H

#include <gtk/gtk.h>

/******************************  Structs  *********************************/
struct CPU_REG
{
  GtkWidget *acc;            /* text entry for accumulator value          */
  GtkWidget *ir;             /* text entry for instruction register value */
  GtkWidget *iv;             /* text entry for interrupt vector value     */
  GtkWidget *pc;             /* text entry for program counter value      */
  GtkWidget *x;              /* text entry for index register value       */
  GtkWidget *sp;             /* text entry for stack pointer value        */
  GtkWidget *sr_i;           /* text entry for interrupt mask flag value  */
  GtkWidget *sr_o;           /* text entry for overflow flag value        */
  GtkWidget *sr_n;           /* text entry for negative flag value        */
  GtkWidget *sr_z;           /* text entry for zero flag value            */
  GtkWidget *sr_c;           /* text entry for carry flag value           */
};

/***************************  Function Prototypes  ************************/
GtkWidget *do_disp_cpu_reg ( /* the CPU Register Display window           */
  GtkWidget *parent          /* the parent window                         */
);

int fill_cpu_regs (void);    /* fill the CPU register display window      */

#endif  /* __CPU_REG_H */
