/*-!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!
! Filename: gtk_filename.h Function: Wrapper for File Open dialog          !
! Module  :                                                                !
!                                                                          !
!   Vers     Date    Auth  Changes                                         !
! ------------------------------------------------------------------------ !
!        13.Oct.2005  JH   created                                         !
!                                                                          !
!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!-*/


#ifndef __GTK_FILE_OPEN_H
#define __GTK_FILE_OPEN_H

#include <gtk/gtk.h>         /* GtkWidget */

/******************************  Defines  *********************************/
/* operational flags */
#define FN_LOAD       0x0001 /* window title is "Open File"               */
#define FN_SAVE       0x0002 /* window title is "Save File"               */
#define FN_SAVE_AS    0x0004 /* window title is "Save As"                 */
#define FN_BUTTONS    0x0008 /* show the file operation buttons           */


/*************************  Function Prototypes  **************************/
char *gtk_filename (         /* display a file selection dialog           */
  GtkWidget *parent,         /* parent window                             */
  unsigned int flags         /* operational flags                         */
);

int gtk_file_overwrite (     /* display a file-overwrite dialog box       */
  GtkWidget *parent,         /* parent window                             */
  char *filename             /* the filename of the file                  */
);

#endif /* __GTK_FILE_OPEN_H */

