/* 
 * Copyright (C) 2006 Johannes Hausensteiner (johannes.hausensteiner@pcl.at)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
/* 
 * Filename: gtk_helper.h
 *
 * Function: interface to gtk_helper.c
 *
 * Part of:  DIY Calculator loader application
 *
 * Changelog
 *
 *  0.1  13.Oct.2006   JH   new
 *
 */

#ifndef __GTK_HELPER_H
#define __GTK_HELPER_H

#include <gtk/gtk.h>


int gtk_text_view_printf (   /* printf() to a GTK TextView                */
  GtkWidget *text_view,      /* the TextView                              */
  const char *format,        /* format string                             */
  ...                        /* variable argument list                    */
);

int gtk_text_view_puts (     /* puts() to a GTK TextView                  */
  GtkWidget *text_view,      /* the TextView                              */
  const char *s              /* the string                                */
);

int gtk_text_view_putchar (  /* putchar() to a GTK TextView               */
  GtkWidget *text_view,      /* the TextView                              */
  int c                      /* the character we want to print            */
);

int gtk_text_view_getch (    /* getch() from a GTK TextView               */
  GtkWidget *text_view       /* the TextView                              */
);

void gtk_set_cursor (        /* set a new cursor shape                    */
  GtkWidget *window,         /* in which window                           */
  GdkCursorType type         /* which type (uses GDK_.. constants)        */
);

void gtk_sleep (             /* sleep a number of msec in GTK             */
  unsigned int ms            /* how long                                  */
);

int gtk_isprint (            /* check if character is in printable range  */
  int c                      /* the character                             */
);

#endif  /* __GTK_HELPR_H */
