/*-!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!
! Filename: statusbox.h   Function: Prototypes for status box function     !
! Module:                                                                  !
!                                                                          !
!                                                                          !
! Vers.   Date    Auth.   Changes                                          !
! ------------------------------------------------------------------------ !
!        6.Mar.05  JH     Added to GTK JTAG project                        !
!                                                                          !
!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!--!-*/

#ifndef __GTK_STATUSBOX_H
#define __GTK_STATUSBOX_H


/*************************  Function Prototypes  **************************/
GtkWidget *gtk_status_box (  /* the user callable status_box() function   */
  GtkWidget *parent,         /* the parent window                         */
  char      *title,          /* window title                              */
  char      *text,           /* status box text                           */
  unsigned  has_progressbar  /* whether to create a progress bar          */
);

void gtk_status_box_destroy( /* destroy the status box                    */
  GtkWidget *widget          /* the widget to destroy                     */
);

void gtk_status_box_set_value (   /* set a new value for the progress bar */
  GtkWidget *statusbox,      /* parent of the progress bar                */
  int val                    /* new value                                 */
);

int gtk_status_box_get_value (    /* get the curr.val of the progress bar */
  GtkWidget *statusbox       /* parent of the progress bar                */
);

int gtk_status_box_has_progressbar (   /* check for progress bar          */
  GtkWidget *statusbox       /* the status box                            */
);

#endif  /* __GTK_STATUSBOX_H */
