/* 
 * Copyright (C) 2006 Johannes Hausensteiner (johannes.hausensteiner@pcl.at)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
/* 
 * Filename: io_ports.h
 *
 * Function: interface to io_ports.c
 *
 * Part of:  DIY Calculator loader application
 *
 * Changelog
 *
 *  0.1   6.Nov.2006   JH   new
 *
 */


#ifndef __IO_PORT_H
#define __IO_PORT_H

#include <gtk/gtk.h>

/******************************  Structs  *********************************/
struct IO_PORTS
{
  GtkWidget *disp;           /* text entry for LCD value                  */
  GtkWidget *led;            /* text entry for LED value                  */
  GtkWidget *key;            /* text entry for KeyPad value               */
  GtkWidget *old_key;        /* text entry for previous KeyPad value      */
  GtkWidget *uart_s;         /* text entry for UART status register value */
  GtkWidget *uart_d;         /* text entry for UART data register value   */
  GtkWidget *clk;            /* text entry for CPU clock value            */
  GtkWidget *spi_s;          /* text entry for SPI controller status reg  */
  GtkWidget *spi_d;          /* text entry for SPI controller data reg    */
  GtkWidget *irq;            /* text entry for IRQ source register value  */
};

/***************************  Function Prototypes  ************************/
GtkWidget *do_disp_io (      /* the I/O Port Display window               */
  GtkWidget *parent          /* the parent window                         */
);

int fill_io_ports (void);    /* fill the CPU register display window      */

#endif  /* __IO_PORT_H */
